فا

‫ آسيب پذيري include كردن فايل abspath در پلاگين Light Post در وردپرس

IRCAD2011101479
شماره:IRCAD2011101479
تاريخ انتشار:  12-10-2011
ميزان حساسيت: بسيار مهم
نرم افزارهاي تحت تاثير:
WordPress Light Post Plugin 1.x
 
توضيح:
يك آسيب پذيري در پلاگين Light Post براي وردپرس كشف شده است كه مي­تواند توسط افراد خرابكار مورد سوء استفاده قرار گيرد تا كنترل يك سيستم آسيب پذير را در اختيار بگيرند.
ورودي ارسال شده از طريق پارامتر abspath به wp-content/plugins/light-post/wp-light-post.php پيش از استفاده در فايل­هاي include به خوبي مورد ارزيابي قرار نمي­گيرد. اين مساله مي­تواند براي include كردن فايل­هاي دلخواه از منابع محلي يا خارجي مورد سوء استفاده قرار گيرد.
اين آسيب پذيري در نسخه 1.4 تاييد شده است. نسخه هاي پيشين نيز ممكن است تحت تاثير اين آسيب پذيري قرار داشته باشند.
 
راهكار:
به نسخه 1.5 به روز رساني نماييد.
 
منابع:

نظرات

بدون نظر
شما برای نظر دادن باید وارد شوید

نوشته

 
تاریخ ایجاد: 25 بهمن 1390

امتیاز

امتیاز شما
تعداد امتیازها:0